Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456027 - readahead should use O_NOATIME while opening the files
Summary: readahead should use O_NOATIME while opening the files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: readahead
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-20 23:54 UTC by Arjan van de Ven
Modified: 2008-07-22 08:13 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-22 08:13:41 UTC


Attachments (Terms of Use)

Description Arjan van de Ven 2008-07-20 23:54:59 UTC
Description of problem:

the readahead program currently doesn't use O_NOATIME while opening the files to
read ahead... this has 2 effects
1) the atime changes, potentially impacting backup and other tools that think
files are used more than they maybe are
2) about 5 seconds afterwards, kjournald starts writing the new dirty inodes out
to disk, slowing things down unneeded.

Fix is easy, just add "| O_NOATIME" to the open flags...

Comment 1 Karel Zak 2008-07-21 08:13:07 UTC
Ah... excellent idea. Thanks.

Comment 2 Karel Zak 2008-07-22 08:13:41 UTC
Fixed in upstream, rawhide and F-9.


Note You need to log in before you can comment on or make changes to this bug.